Subject: [RFC] Initial attempt to make ARM use LMB

From: [email-masked] (Tony Lindgren)
Date: Fri, 14 May 2010 08:22:09 -0700

* Russell King - ARM Linux <[email-masked]> [100513 15:07]:
> On Thu, May 13, 2010 at 03:01:39PM -0700, Tony Lindgren wrote:
> > * Russell King - ARM Linux <[email-masked]> [100513 14:53]:
> > > On Thu, May 13, 2010 at 02:19:51PM -0700, Tony Lindgren wrote:
> > > > * Russell King - ARM Linux <[email-masked]> [100513 10:35]:
> > > > > And here's a patch which converts the OMAP FB code to use lmb_reserve
> > > > > instead of poking about with bootmem stuff.  Untested, so I'd like to
> > > > > hear back whether it works.
> > > > 
> > > > Did a quick test with the following patches picked from your lmb
> > > > branch on top of omap for-next branch:
> > > > 
> > > > ARM: Remove useless linux/bootmem.h includes
> > > > ARM: Ensure meminfo is sorted prior to sanity_check_meminfo
> > > > ARM: initial LMB trial
> > > > ARM: Move platform LMB memory reservations out of generic code
> > > > 
> > > > and then this patch.
> > > > 
> > > > It does not boot.. It seems to be related to the patch
> > > > "ARM: initial LMB trial". If I only apply the first two patches
> > > > above the system boots.
> > > 
> > > Hmm, I'm sure it worked for me when I tested it out.  Could you try
> > > booting with lmb=debug please?
> > 
> > No other output with that it seems.
> 
> Hang on, you didn't pick up ARM: Move memory mapping into mmu.c ?

Hmm, looks like I did not send a reply yesterday.. Here's a
second attempt.

Yeah, that missing patch was it. Compiles and boots now:

Tested-by: Tony Lindgren <[email-masked]>